// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Network
{
    internal enum LineState
    {
        None,

        /// <summary>
        /// Moves the cursor to the beginning of the current line
        /// </summary>
        CarriageReturn,

        /// <summary>
        /// Moves the cursor down to the next line and then to the beginning of the line
        /// </summary>
        LineFeed
    }
}