// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Network
{
    internal class ReadBufferState
    {
        public ReadBufferState(
          byte[] buffer, int offset, int count, HttpStreamAsyncResult asyncResult)
        {
            Buffer = buffer;
            Offset = offset;
            Count = count;
            InitialCount = count;
            AsyncResult = asyncResult;
        }

        public HttpStreamAsyncResult AsyncResult { get; set; }

        public byte[] Buffer { get; set; }

        public int Count { get; set; }

        public int InitialCount { get; set; }

        public int Offset { get; set; }
    }
}