// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Network
{
    public enum CloseStatusCode : ushort
    {
        Normal = 1000,

        Away = 1001,

        ProtocolError = 1002,

        UnsupportedData = 1003,

        Undefined = 1004,

        NoStatus = 1005,

        Abnormal = 1006,

        InvalidData = 1007,

        PolicyViolation = 1008,

        TooBig = 1009,

        MandatoryExtension = 1010,

        ServerError = 1011,

        TlsHandshakeFailure = 1015
    }
}