// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

using System;

namespace EonaCat.Network
{
    public interface IWSSession
    {
        WSContext Context { get; }

        string ID { get; }

        string Protocol { get; }

        DateTime StartTime { get; }

        WSState State { get; }
    }
}